Firmware

P300-V2-IMX IntelliMix Audio Conferencing Processor

Versions

Date Posted

Download

4.3.8
December 4, 2020

Bug fix

  • Fixed an issue when using 8 channels of the P300 that would cause LED errors and the potential for audio artifacts

Known Issues

  • Shure Network Audio Encryption is not backwards compatible; all devices must be on version 4.1 firmware to use this feature
  • Shure Update Utility and Designer may not allow downgrading of new P300s shipped with 4.2.7 or higher due to a platform update to support future functionality and USB improvements
  • P300s with firmware 4.3 require Designer versions 4.3 and higher and will NOT be supported in Designer versions 4.2.1 and earlier.

Notes

  • User Guide
  • Command Strings
  • To operate P300-IMX version 4.3.8 with Dante Controller, reference the following minimum versions: v3.10.2.4 (Windows) and v3.10.2.3 (macOS)
  • To operate P300-IMX 4.3.8 with Microsoft Teams, reference the following minimum versions:
    • Microsoft Teams Desktop: 1.3.00.24755
    • Microsoft Teams Rooms: 4.6.20.0
  • To operate P300-IMX version 4.3.8 with other Shure networked systems, reference the following list of minimum versions supported:
    • Shure Designer 4.3
    • ANI22 4.3.7
    • ANIUSB-MATRIX 4.3.11
    • ANI4IN 4.3.7
    • ANI4OUT 4.3.7
    • MXA310 4.3.6
    • MXA710 1.1.5
    • MXA_MUTE 1.1.3
    • MXN5-C 1.1.1
    • MXA910 4.3.2
    • Microflex Wireless 8.0.3
    • Shure Update Utility 2.5.0
    • Shure Web Device Discovery 1.2.9
4.3.7
November 23, 2020

Improvements

  • USB Audio and Mute sync improvements
    • Improved performance with USB extending
    • Chrome OS Audio support
    • Mute sync improvements - Microsoft Teams, Zoom, and Skype for Business
    • Fixed an issue with Barco ClickShare CX50, where the P300 was recognized but does not pass audio
  • Bug Fixes

Known Issues

  • Shure Network Audio Encryption is not backwards compatible; all devices must be on version 4.1 firmware to use this feature
  • Shure Update Utility and Designer may not allow downgrading of new P300s shipped with 4.2.7 or higher due to a platform update to support future functionality and USB improvements
  • P300s with firmware 4.3 require Designer versions 4.3 and higher and will NOT be supported in Designer versions 4.2.1 and earlier

Notes

  • User Guide
  • Command Strings
  • To operate P300-IMX version 4.3.7 with Dante Controller, reference the following minimum versions: v3.10.2.4 (Windows) and v3.10.2.3 (macOS)
  • To operate P300-IMX 4.3.6 with Microsoft Teams, reference the following minimum versions:
    • Microsoft Teams Desktop: 1.3.00.24755
    • Microsoft Teams Rooms: 4.6.20.0
  • To operate P300-IMX version 4.3.7 with other Shure networked systems, reference the following list of minimum versions supported:
    • Shure Designer 4.3
    • ANI22 4.3.7
    • ANIUSB-MATRIX 4.3.11
    • ANI4IN 4.3.7
    • ANI4OUT 4.3.7
    • MXA310 4.3.6
    • MXA710 1.1.5
    • MXA_MUTE 1.1.3
    • MXN5-C 1.1.1
    • MXA910 4.3.2
    • Microflex Wireless 8.0.3
    • Shure Update Utility 2.5.0
    • Shure Web Device Discovery 1.2.9

Associated products

IntelliMix P300

Don’t let echo, noise, or distortion take over the meeting. The IntelliMix® P300 digital signal processor enhances every aspect of conference audio.